import _Object$keys from 'babel-runtime/core-js/object/keys';
import APIbuilder from '@zohodesk/js-api-creator';

export default (function (modules, urlPrefix, parameters, headers, options) {

	var builder = new APIbuilder(urlPrefix, parameters, headers, options);
	var output = {};
	var modulekeys = _Object$keys(modules);
	for (var i = 0, len = modulekeys.length; i < len; i++) {
		var moduleKey = modulekeys[i];
		output[moduleKey] = builder.create(modules[moduleKey], moduleKey);
	}
	return output;
});

export var Builder = APIbuilder;